#ifndef _PCI_H
#define _PCI_H

#include "Prefix_.h"

namespace EARTH {
namespace PCI {
	struct Target {
		uint Bus;
		uint Slot;
		uint Function;
	};

	class Bus;
	class Device;

	class _ {
	public:
		virtual ~_() {}
		virtual status Init() = 0;
		virtual	Bus *Bus() const = 0;
		virtual	status NewDevice(const Target *target, Device **device) = 0;
	};
}
}

#endif
